Subject: [scim] Core Schema Attribute Type Inconsistencies

From: Phil Hunt <[email-masked]>
Date: Wed, 28 Jan 2015 09:40:26 -0800

In the SCIM core schema document, it has been brought to my attention from some reviewers that there are some inconsistencies regarding the use of attribute types within SCIM. 

The concern is an apparent conflict between Section 2.1 (which defines attribute types) and Section 7 (which is the Schema definition).  In particular, we define Decimal, Integer, DateTime, Binary, and Reference as well as “String”, “Boolean”, and “Complex".  Yet in practice, Section 7 uses only “String”, “Complex” and “boolean” are used in Section 7.

After some review, I note that Section 2.1 is very clear about how each type is represented in JSON (per RFC7159).  

It appears that Section 7 is reflecting the JSON type rather than the SCIM type and should be changed to reflect the SCIM data type, not the JSON data type.

Please let me know if there are any objections or concerns to this clarification.

Phil

@independentid
www.independentid.com
[email-masked]